List Documents for a Contact
get
/public/v1/contacts/{contact}/documentscontactstringrequiredThe contact UUID
sortstringSort the documents. Prefix with '-' for descending. One of: created_at.
Example:-created_atpage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of DocumentResource
dataobject[]required▶Show 5 child attributesHide child attributes
idstringrequiredExample:d1c2e3f4-a5b6-47c8-9d0e-1f2a3b4c5d6enamestringrequiredExample:Service Agreementfile_extensionstringrequiredExample:pdfcreated_atstringrequiredExample:2024-01-15T10:30:00+00:00categoriesobject[]required▶Show 2 child attributesHide child attributes
idstringrequiredExample:c4a5b6c7-d8e9-40f1-a2b3-c4d5e6f7a8b9namestringrequiredExample:Assessments
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error404Not found